Package org.eclipse.wst.xsl.core.model

## org.eclipse.wst.xsl.core.model
Class Variable

    public class Variable
    extends org.eclipse.wst.xsl.core.model.XSLElement

The `xsl:variable` model element.

## Constructor Summary

`Variable(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

## Method Summary

`public java.lang.String` | `getAs()` If an XSLT 2.0, return the value of the `as` attribute if one exists.
`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type` | `getModelType()`
`public java.lang.String` | `getName()` Get the value of the `name` attribute if one exists.
`public java.lang.String` | `getSelect()` Get the value of the `select` attribute if one exists.

## Constructor Detail

## Variable

`public Variable(org.eclipse.wst.xsl.core.model.Stylesheet stylesheet)`

Create a new instance of this.

## Methods Detail

## getAs

`public java.lang.String getAs()`

If an XSLT 2.0, return the value of the `as` attribute if one exists.

### Returns

`java.lang.String` - the as value, or null

## getModelType

`public org.eclipse.wst.xsl.core.model.XSLModelObject.Type getModelType()`

### Returns

`org.eclipse.wst.xsl.core.model.XSLModelObject.Type`

## getName

`public java.lang.String getName()`

Get the value of the `name` attribute if one exists.

### Returns

`java.lang.String` - the variable name, or null

## getSelect

`public java.lang.String getSelect()`

Get the value of the `select` attribute if one exists.

### Returns

`java.lang.String` - the select value, or null